Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 160547 - when removing scsi hosts commands are not leaked
Summary: when removing scsi hosts commands are not leaked
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: kernel
Version: 4.0
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
: ---
Assignee: Mike Christie
QA Contact: Brian Brock
URL:
Whiteboard:
Depends On:
Blocks: 156322
TreeView+ depends on / blocked
 
Reported: 2005-06-15 18:44 UTC by Mike Christie
Modified: 2007-11-30 22:07 UTC (History)
3 users (show)

Fixed In Version: RHSA-2005-514
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2005-10-05 13:31:16 UTC
Target Upstream Version:


Attachments (Terms of Use)
call correct scsi_done function (deleted)
2005-06-15 18:45 UTC, Mike Christie
no flags Details | Diff


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2005:514 qe-ready SHIPPED_LIVE Important: Updated kernel packages available for Red Hat Enterprise Linux 4 Update 2 2005-10-05 04:00:00 UTC

Description Mike Christie 2005-06-15 18:44:37 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.8) Gecko/20050524 Fedora/1.0.4-4 Firefox/1.0.4

Description of problem:
scsi_dispatch_cmd currently calls scsi_done when the device is in the
SDEV_DEL state, but at this point the command has not had a timer added
to it (this is done a couple lines down) so scsi_done just returns and
the command is lost. The attached patch made against the current RHEL4
kernel calls __scsi_done in this case so the comamnd will be returned upwards.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. run IO
2. remove a scsi host (like usb-mass-storage or iscsi-sfnet)
3. commands are lost
  

Additional info:

Comment 1 Mike Christie 2005-06-15 18:45:40 UTC
Created attachment 115495 [details]
call correct scsi_done function

Comment 2 Suzanne Hillman 2005-06-16 15:25:46 UTC
*** Bug 160548 has been marked as a duplicate of this bug. ***

Comment 3 Suzanne Hillman 2005-06-16 15:27:24 UTC
(from the bug dup'd against this)

Comment #1 From Mike Christie (mchristi@redhat.com)  	 on 2005-06-15 15:00 EST

I sent a patch for this to rh-kernel.

Comment 11 Red Hat Bugzilla 2005-10-05 13:31:16 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2005-514.html



Note You need to log in before you can comment on or make changes to this bug.